API Reference
Reference for the REST API
Retrieve a list of API keys for the authenticated user.
cURL
curl --request GET \ --url https://api.xata.tech/api-keys \ --header 'Authorization: Bearer <token>'
{ "keys": [ { "id": "<string>", "name": "<string>", "preview": "<string>", "scopes": [ "<string>" ], "projects": [ "<string>" ], "branches": [ "<string>" ], "created_at": "2023-11-07T05:31:56Z", "expiry": "2023-11-07T05:31:56Z", "last_used": "2023-11-07T05:31:56Z", "created_by": "<string>", "created_by_key": "<string>" } ] }
Documentation IndexFetch the complete documentation index at: https://xata.io/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://xata.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
List of API keys retrieved successfully
Array of API keys for the user
Show child attributes
Was this page helpful?